﻿[v-cloak] {
    display: none
}

.displayColumn {
    min-height: 40px;
    padding-left: 0.5rem;
    font-size: 1.25rem;
    font-weight: 300;
}

.itemtipsBlk:hover .itemtips {
    display: block;
    opacity: 1;
}

input:checked + label {
    opacity: 1 !important;
}

.pagination .disabled {
    display: none !important;
}

/*交流專區 HTMLBlock*/
.communicateHtmlArea h3 {
    font-size: 20px;
    color: #333;
    font-weight: bold;
}

.dataCol.form-select + .error.invalid-feedback {
    padding-left: 5px;
}

.fieldBlk {
    flex-flow: column;
}

input.dataError, textarea.dataError, select.dataError, label.dataError {
    border: 1px solid red;
}

/*dropzone*/

.dropzone {
    border: dashed 2px #999 !important;
    background-color: #f3f3f3;
    border-radius: 10px;
}

.upload-area {
    color: #666;
}

    .upload-area i {
        font-size: 8rem;
        color: #ddd;
    }

    .upload-area span {
        display: block;
        margin-bottom: 1rem;
        color: #999;
    }

    .upload-area h4 {
        width: 100%;
    }

.text-ellipsis {
    text-overflow: ellipsis;
    white-space: nowrap;
    overflow: hidden;
}

.picture-item {
    /* border: #999 1px solid;*/
    padding: 0.3rem;
    border-radius: 3px;
    margin: 0.5rem 0;
    text-align: center;
    word-break: break-all;
    position: relative;
}

    .picture-item img, .picture-item video {
        /*width: 100%;*/
        /*height: 100%;*/
        max-width: 100px;
        max-height: 133px;
    }

    .picture-item .delBtn {
        position: absolute;
        top: -5px;
        right: -5px;
        width: 20px;
    }

.loading {
    position: absolute;
    z-index: 9999;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}

    .loading .mask {
        position: absolute;
        width: 100%;
        height: 100%;
        background-color: #444;
        opacity: 0.5;
    }

    .loading .animation {
        width: 64px;
        /*height: 64px;*/
        margin: auto;
        margin-top: 40px;
        height: 100%;
    }

.loading-center {
    margin-top: auto;
    margin-bottom: auto;
}

/**Menu*/
.toggleBlk {
    /*left:380px;*/
    left: 20%;
}

.wrapper, .surveyBlk {
    max-width: 100%;
}

.navBlk-02 > ul > li.login .member-greeting {
    display: block;
}

    .navBlk-02 > ul > li.login .member-greeting .logout {
        width: 50px;
        margin: 10px 0 0 20px;
    }

body:has(.member) .toggleBlk, body:has(.member-survey) .toggleBlk {
    display: block;
}

nav.active {
    left: 0%;
}

nav {
    left: -25%;
}

body:has(.member) .mainBlk, body:has(.member-survey) .mainBlk {
    padding: 70px 0 0 0%;
    transition: all .25s;
}

    body:has(.member) .mainBlk.active, body:has(.member-survey) .mainBlk.active {
        padding: 70px 0 0 360px;
    }

.toggleBlk:has(.active) {
    top: 70px;
    left: 300px;
}

.forms-inner {
    margin: 0;
}

@media (max-width: 1320px) {
    .toggleBlk:has(.active) {
        left: calc(25% - 40px);
        top: 70px;
    }

    body:has(.member) .mainBlk.active, body:has(.member-survey) .mainBlk.active {
        padding: 70px 0 0 25%;
    }
}

@media (max-width: 768px) {
    .toggleBlk:has(.active) {
        left: calc(50% - 40px);
    }

    nav {
        width: 50%;
        left: -50%;
    }
}
